Baixar arquivo de exportação
curl --request GET \
--url https://matcher.sandbox.lerian.net/v1/export-jobs/{jobId}/download \
--header 'Authorization: Bearer <token>'import requests
url = "https://matcher.sandbox.lerian.net/v1/export-jobs/{jobId}/download"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://matcher.sandbox.lerian.net/v1/export-jobs/{jobId}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"downloadUrl": "https://storage.example.com/exports/report.csv?token=abc",
"fileName": "matched_report.csv",
"sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
"expiresIn": 3600
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0004",
"title": "Forbidden",
"message": "You do not have the necessary permissions to perform this action. Please contact your administrator if you believe this is an error."
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0703",
"title": "Service Unavailable",
"message": "The storage service is currently unavailable. Please try again later."
}Baixar arquivo de exportação
Use este endpoint para baixar o arquivo de exportação. A resposta inclui uma URL pré-assinada para download do arquivo.
GET
/
v1
/
export-jobs
/
{jobId}
/
download
Baixar arquivo de exportação
Autorizações
Autenticação por Bearer token (formato: "Bearer {token}")
Cabeçalhos
A unique identifier for tracing the request across services.
Parâmetros de caminho
Export Job ID
Resposta
Detalhes do download de exportação
URL de download pré-assinada e metadados para o arquivo de uma tarefa de exportação
URL pré-assinada para baixar o arquivo de exportação
Exemplo:
"https://storage.example.com/exports/report.csv?token=abc"
Nome original do arquivo de exportação
Exemplo:
"matched_report.csv"
Checksum SHA-256 do arquivo para verificação de integridade
Exemplo:
"e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855"
Duração em segundos até a URL de download expirar
Exemplo:
3600
Esta página foi útil?

